Bug 1277199 - SELinux denials appear when the asterisk service is started
SELinux denials appear when the asterisk service is started
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: selinux-policy (Show other bugs)
6.7
All Linux
medium Severity medium
: rc
: ---
Assigned To: Miroslav Grepl
Milos Malik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-02 11:38 EST by Milos Malik
Modified: 2016-05-12 03:05 EDT (History)
7 users (show)

See Also:
Fixed In Version: selinux-policy-3.7.19-282.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-10 16:02:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2015-11-02 11:38:07 EST
Description of problem:

Version-Release number of selected component (if applicable):
asterisk-1.8.32.3-1.el6.x86_64
selinux-policy-3.7.19-281.el6.noarch
selinux-policy-doc-3.7.19-281.el6.noarch
selinux-policy-minimum-3.7.19-281.el6.noarch
selinux-policy-mls-3.7.19-281.el6.noarch
selinux-policy-targeted-3.7.19-281.el6.noarch

How reproducible:
always

Steps to Reproduce:
# setenforce 1
# service asterisk status
asterisk is stopped
# service asterisk start
Starting asterisk: Privilege escalation protection disabled!
See https://wiki.asterisk.org/wiki/x/1gKfAQ for more details.
                                                           [  OK  ]
# service asterisk status
asterisk (pid 9822) is running...
# ps -efZ | grep asterisk
unconfined_u:system_r:asterisk_t:s0 root  9822     1  1 17:33 ?        00:00:00 /usr/sbin/asterisk -C /etc/asterisk/asterisk.conf
unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 root 10014 6469  0 17:34 pts/0 00:00:00 grep asterisk
# 

Actual results:
----
type=SYSCALL msg=audit(11/02/2015 17:22:47.548:345) : arch=x86_64 syscall=ioctl success=no exit=-19(No such device) a0=0x3 a1=0x8927 a2=0x7ffd0fc1eb10 a3=0x0 items=0 ppid=4405 pid=4406 auid=root uid=root gid=root euid=root suid=root fsuid=root egid=root sgid=root fsgid=root tty=pts0 ses=3 comm=asterisk exe=/usr/sbin/asterisk subj=unconfined_u:system_r:asterisk_t:s0 key=(null) 
type=AVC msg=audit(11/02/2015 17:22:47.548:345) : avc:  denied  { sys_module } for  pid=4406 comm=asterisk capability=sys_module  scontext=unconfined_u:system_r:asterisk_t:s0 tcontext=unconfined_u:system_r:asterisk_t:s0 tclass=capability 
----

Expected results:
 * no SELinux denials

Additional info:
 * this access is dontaudit-ed in RHEL-7 selinux-policy
Comment 2 Miroslav Grepl 2015-11-09 09:48:06 EST
We should dontaudit it.
Comment 6 errata-xmlrpc 2016-05-10 16:02:19 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0763.html

Note You need to log in before you can comment on or make changes to this bug.